Bug 217821 - cad/meshlab: distsite moved to github, new release
Summary: cad/meshlab: distsite moved to github, new release
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Loïc Bartoletti
URL:
Keywords: needs-patch
Depends on:
Blocks:
 
Reported: 2017-03-15 19:34 UTC by Kurt Jaeger
Modified: 2020-07-18 08:26 UTC (History)
5 users (show)

See Also:
lbartoletti: maintainer-feedback-


Attachments
shar of meshlab (15.30 KB, text/plain)
2019-04-06 22:06 UTC, Thibault Payet
no flags Details
vcglib modification for meshlab (57.07 KB, patch)
2019-04-06 22:08 UTC, Thibault Payet
no flags Details | Diff
vcglib tag f7871ee (57.19 KB, patch)
2020-05-03 13:08 UTC, Loïc Bartoletti
no flags Details | Diff
meshlab 2020.05 (13.38 KB, patch)
2020-05-03 13:08 UTC, Loïc Bartoletti
no flags Details | Diff
fix pkgplist (13.35 KB, text/plain)
2020-05-03 14:09 UTC, Loïc Bartoletti
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Jaeger freebsd_committer 2017-03-15 19:34:16 UTC
New site: https://github.com/cnr-isti-vclab/meshlab
New release v2016.12
Comment 1 Neel Chauhan 2018-08-21 15:31:40 UTC
Sorry for the delay in responding.

I am aware of the new version, however, it requires vcglib (https://github.com/cnr-isti-vclab/vcglib). I (or someone else) will have to port it.
Comment 2 Nathan 2018-08-21 17:15:20 UTC
I could probably port the dep but it hasn’t been updated since 2016, do we want to add what loooks like an abandoned project to update this one?
Comment 3 Fernando Apesteguía freebsd_committer 2018-08-21 17:35:33 UTC
(In reply to Nathan from comment #2)
I created a review for a new port: devel/vcglib:

  https://reviews.freebsd.org/D16832
Comment 4 Neel Chauhan 2018-09-06 17:48:54 UTC
Keep in mind that I no longer maintain cad/meshlab. I still maintain other ports, however.
Comment 5 Loïc Bartoletti freebsd_committer 2018-12-05 11:37:08 UTC
There is some activity on this project at the end of the year.
If no one takes it, I can try to get it back when version 2018 is released
Comment 6 Loïc Bartoletti freebsd_committer 2019-01-11 23:34:30 UTC
Hi,

I started to port the prerealese version of cad/meshlab. You can find my port on github https://github.com/lbartoletti/freebsd-ports/tree/meshlab/cad/meshlab

For the moment, it does not fully compile, but it is on the right track.
The problem is that you have to have devel/vcglib pointing to the development version and not to the latest release that is in our ports. See https://github.com/cnr-isti-vclab/meshlab/issues/258
Comment 7 Thibault Payet 2019-04-06 22:06:40 UTC
Created attachment 203434 [details]
shar of meshlab

@lbartoletti 
I made some patch on top of yours to manage the build of meshlab.
For now it build meshlab in the .build directory in work.
But for the moment the big issue is to have a correct pkg-plist, since
make makeplist cannot generate one. I guess that outsource building seems to add some issue.

At the end I am able to run meshlab from build directory in work/.build/distrib/ by adding to LD_LIBRARY_PATH work/.build/common since the libcommon library is build as shared library and openmesh link on it.

Note that I use a modified devel version of vcglib
Comment 8 Thibault Payet 2019-04-06 22:08:37 UTC
Created attachment 203435 [details]
vcglib modification for meshlab

And here the patched version of vcglib used
Comment 9 Loïc Bartoletti freebsd_committer 2019-11-06 20:23:11 UTC
(In reply to Thibault Payet from comment #8)

Sorry for the late. Thank you for updating this patch.

I tried with the latest version of meshlab and it builds.

I don't remember why I add outsource, maybe because there isn't a proper install script so it's easiest to find which files to install.

With or without outsource, you have to configure LD_LIBRARY_PATH until it's well instaled. I'll prepare an update next days
Comment 10 Loïc Bartoletti freebsd_committer 2020-05-03 13:08:17 UTC
Created attachment 214058 [details]
vcglib tag f7871ee
Comment 11 Loïc Bartoletti freebsd_committer 2020-05-03 13:08:48 UTC
Created attachment 214059 [details]
meshlab 2020.05
Comment 12 Loïc Bartoletti freebsd_committer 2020-05-03 13:14:12 UTC
Since February MeshLab releases each month. Here a WIP of meshlab 2020.05.
Comment 13 Loïc Bartoletti freebsd_committer 2020-05-03 14:09:24 UTC
Created attachment 214060 [details]
fix pkgplist
Comment 14 Mark Linimon freebsd_committer freebsd_triage 2020-07-11 17:56:26 UTC
Comment on attachment 214060 [details]
fix pkgplist

This is a .shar, not actually a patch.  (fwiw,we prefer patches.)
Comment 15 commit-hook freebsd_committer 2020-07-18 08:19:57 UTC
A commit references this bug:

Author: lbartoletti
Date: Sat Jul 18 08:19:00 UTC 2020
New revision: 542480
URL: https://svnweb.freebsd.org/changeset/ports/542480

Log:
  cad/meshlab: Resurrect, update to 2020.05 and take maintainer'ship

  The project has resumed since a few months by releasing one release every month (no more beta or pre release as between 2016 and 2020).

  - cad/meshlab: Resurrect, update to 2020.05 and take maintainer'ship
  - devel/vcglib: Update to @f7871ee [1]

  [1] There is not new release, but Meshlab require this version

  PR:		217821
  Reported by:	pi
  Approved by:	fernape, tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D24686

Changes:
  head/MOVED
  head/cad/Makefile
  head/cad/meshlab/
  head/cad/meshlab/Makefile
  head/cad/meshlab/distinfo
  head/cad/meshlab/files/patch-common_common.pro
  head/cad/meshlab/files/patch-common_pluginmanager.cpp
  head/cad/meshlab/files/patch-external-structuresynth-1.5-ssynth-SyntopiaCore-GLEngine-Raytracer-VoxelStepper.cpp
  head/cad/meshlab/files/patch-external-structuresynth-ssynth-SyntopiaCore-GLEngine-Raytracer_VoxelStepper.cpp
  head/cad/meshlab/files/patch-glu
  head/cad/meshlab/files/patch-meshlab__full.pro
  head/cad/meshlab/files/patch-meshlab_meshlab.pro
  head/cad/meshlab/files/patch-meshlabplugins-decorate_base-colorhistogram.h
  head/cad/meshlab/files/patch-meshlabplugins-edit_arc3D-fillImage.cpp
  head/cad/meshlab/files/patch-meshlabplugins-filter_csg-intercept.h
  head/cad/meshlab/files/patch-meshlabplugins-filter_photosynth-downloader.cpp
  head/cad/meshlab/files/patch-meshlabplugins-filter_poisson-src_Geometry.inl
  head/cad/meshlab/files/patch-meshlabserver_meshlabserver.pro
  head/cad/meshlab/files/patch-shared.pri
  head/cad/meshlab/files/patch-src_general.pri
  head/cad/meshlab/files/patch-src_meshlab_glarea.cpp
  head/cad/meshlab/files/patch-src_meshlab_meshlab.pro
  head/cad/meshlab/files/patch-src_meshlabserver_meshlabserver.pro
  head/cad/meshlab/files/patch-src_shared.pri
  head/cad/meshlab/files/patch-vcglib-vcg-space_deprecated_point.h
  head/cad/meshlab/files/patch-vcglib-wrap-ply_plystuff.h
  head/cad/meshlab/pkg-plist
  head/devel/vcglib/Makefile
  head/devel/vcglib/distinfo
  head/devel/vcglib/pkg-plist
Comment 16 Loïc Bartoletti freebsd_committer 2020-07-18 08:26:38 UTC
Committed, thank you all!